Package org.zkoss.stateless.util

## Interface ActionHandler9<A,​B,​C,​D,​E,​F,​G,​H,​I>

- All Superinterfaces:
    `ActionHandler`, `CheckedConsumer9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `java.io.Serializable`
  All Known Subinterfaces:
    `ActionType.OnAcrossPage9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnAdjustCols9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnAdjustFrozenCols9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnAdjustRows9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnAfterRender9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnAfterSize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnAnchorPos9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnBlur9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnBookmarkChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCameraUnavailable9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCancel9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCellClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnChanging9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCheck9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCheckSelectAll9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnClear9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnClientInfo9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnClose9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnColSize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCreate9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCrop9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnCtrlKey9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDataLoading9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDeferredEvaluation9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDesktopRecycle9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDetect9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDivisionSize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDoubleClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnDrop9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnError9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnFocus9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnFulfill9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnGroup9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnHistoryPopState9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnInnerWidth9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnItemClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnLengthLimitExceed9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMaxFileCountExceed9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMaximize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMaxsizeExceed9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMinimize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnModal9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMouseOut9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMouseOver9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnMove9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnNotify9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnOK9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnOpen9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnPageSize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnPaging9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnPiggyback9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnPortalDrop9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnPortalMove9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnRangeValueChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnRender9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnRightClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnRotate9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSave9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnScriptError9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnScroll9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnScrolling9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnScrollPos9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnScrollX9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnScrollY9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSearch9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSearching9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSelect9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSelection9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSelectSubModel9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSize9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSlide9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSnapshotUpload9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSort9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnStateChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnStub9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnSwipe9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnTargetClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnTimer9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnTimeZoneChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnTopPad9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnUngroup9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnUpload9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnURIChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnUser9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnVisibilityChange9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnWeekClick9<A,​B,​C,​D,​E,​F,​G,​H,​I>`, `ActionType.OnZIndex9<A,​B,​C,​D,​E,​F,​G,​H,​I>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ActionHandler9<A,​B,​C,​D,​E,​F,​G,​H,​I>
      extends CheckedConsumer9<A,​B,​C,​D,​E,​F,​G,​H,​I>, ActionHandler

  Represents an action handler with nine arguments.
  Author:
    jumperchen

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.stateless.util.ActionHandler

      `CACHE_SIZE, DEFAULT_VALUES, LOADED_CLASS_CACHE, LOADED_LAMBDA_CACHE, LOADED_METHOD_CACHE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getParameterCount()` | Returns the parameter count for this action handler.

    - ### Methods inherited from interface org.zkoss.stateless.util.ActionHandler

      `call, call`

    - ### Methods inherited from interface org.zkoss.stateless.function.CheckedConsumer9

      `accept, andThen`

- - ### Method Detail

    - #### getParameterCount

          default int getParameterCount()

      Description copied from interface: `ActionHandler`
      Returns the parameter count for this action handler.
      Specified by:
        `getParameterCount` in interface `ActionHandler`
      Returns:
        A number of parameters of a lambda method or a method reference.